telnet_connection Struct Reference
Telnet Interface

A telnet connection. More...

`#include <telnet_interface.h>`

## Data Fields

struct llist_head | entry
| linked list header for internal management More...
void * | priv
| private data pointer passed through More...
struct osmo_fd | fd
| filedsecriptor (socket ) More...
struct vty * | vty
| VTY instance associated with telnet connection. More...
struct log_target * | dbg
| logging target associated with this telnet connection More...

## Detailed Description

A telnet connection.

## Field Documentation

## dbg

struct log_target* telnet_connection::dbg

logging target associated with this telnet connection

Referenced by DEFUN(), osmo_log_vty2tgt(), and telnet_close_client().

## entry

struct llist_head telnet_connection::entry

linked list header for internal management

Referenced by telnet_close_client(), telnet_exit(), telnet_new_connection(), and vty_is_active().

## fd

struct osmo_fd telnet_connection::fd

filedsecriptor (socket )

Referenced by client_data(), telnet_close_client(), telnet_exit(), telnet_new_connection(), and vty_event().

## priv

void* telnet_connection::priv

private data pointer passed through

Referenced by telnet_new_connection().

## vty

struct vty* telnet_connection::vty

VTY instance associated with telnet connection.

Referenced by client_data(), telnet_new_connection(), and vty_is_active().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/telnet_interface.h